Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163130 - CAN-2005-1920 Kate backup file permissions leak
Summary: CAN-2005-1920 Kate backup file permissions leak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdelibs
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard: impact=moderate,reported=20050712,pub...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 08:27 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-612
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-27 15:30:33 UTC


Attachments (Terms of Use)
Draft Advisory (deleted)
2005-07-13 08:27 UTC, Mark J. Cox
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:612 normal SHIPPED_LIVE Moderate: kdelibs security update 2005-07-27 04:00:00 UTC

Description Mark J. Cox 2005-07-13 08:27:49 UTC
See attachment for draft security advisory on this issue.  This flaw could make
the backup files created by users editing text files readable by other local
users.  

Embargoed until 20050718

Comment 1 Mark J. Cox 2005-07-13 08:27:49 UTC
Created attachment 116693 [details]
Draft Advisory

Comment 2 Ngo Than 2005-07-13 08:43:35 UTC
it's now fixed in kdelibs-3.3.1-3.11

Comment 3 Mark J. Cox 2005-07-19 07:40:44 UTC
public, removing embargo

Comment 4 Red Hat Bugzilla 2005-07-27 15:30:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-612.html



Note You need to log in before you can comment on or make changes to this bug.